commit:     2964acd0b68351c406bb871f03679557e1c48ddd
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 17 14:50:59 2021 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Sun Jan 17 14:51:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2964acd0

sci-mathematics/wxmaxima: bump to 20.12.2

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 sci-mathematics/wxmaxima/Manifest                |  1 +
 sci-mathematics/wxmaxima/wxmaxima-20.12.2.ebuild | 51 ++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/sci-mathematics/wxmaxima/Manifest 
b/sci-mathematics/wxmaxima/Manifest
index b1f28846b0e..8cd6ddc4d02 100644
--- a/sci-mathematics/wxmaxima/Manifest
+++ b/sci-mathematics/wxmaxima/Manifest
@@ -5,3 +5,4 @@ DIST wxmaxima-20.02.4.tar.gz 15242422 BLAKE2B 
ea9dc613fa94d046a9d461c56a9d156400
 DIST wxmaxima-20.04.0.tar.gz 15313618 BLAKE2B 
04a9544aeb1a7084250696fad99c51be21bf0b119581cebdf62b8dece3034ebcc1469b9d07576bfed8d72efe77ce6db47b5a29c4185a5e85114b552d3385caf9
 SHA512 
8caf9effa0167c3307eff4a6895a3b19b41aab37f845e4cdc139f3cdd03d9a061adc9ea4ad8ca7e0f28d83faf34d15f828f03c86d05ad7d83f0e28aee82aba70
 DIST wxmaxima-20.07.0.tar.gz 15723971 BLAKE2B 
cdec59e8ca17d0f4577a316a68e90795424d3d31829130e1854d908d76e54c02b125d20ce3a41ad5b4b06d57d918156bbbce7dead114b05daade34845d045124
 SHA512 
7272df5314ac79248154ee899397361da0570a6188ddc464b0479d2d6ac556ddf3941cf1ac17c9e6642e77d79a8458b902e70513dfdea15bc6a6d36d76b0bec2
 DIST wxmaxima-20.09.0.tar.gz 16159536 BLAKE2B 
758537f9d35ecbec1405318465ccce91b172f0e6fb00c71b926224f1cb90ed31263d8ae69a14a437c05e9e489e5143fb2e010ccb44e3fd9d7cf29785dbac9dfa
 SHA512 
952fdfec3f07904e3385657b43f5ad669a3149307843d352aa4d78c6ff88fb51aa31f301964a13c86faece5d4a2acce5af91338e7de57599d7414da447564fe8
+DIST wxmaxima-20.12.2.tar.gz 16262617 BLAKE2B 
2f9f910f565158b2011f014d96747498c6286a95bdb69f9b6b2f82a37a569e8a02abbae5cbb9ae2ac1e78d0b976487666794b267c1c40c1245df08c752486403
 SHA512 
1c3e3f68a2fa2cd798dfb05c52e7ddf3193a15cb45282553c280914bd524d463ad27acc89898cb4a292ff236699d1ec2abb70d83fa52cb126123ab8e2fcd5ceb

diff --git a/sci-mathematics/wxmaxima/wxmaxima-20.12.2.ebuild 
b/sci-mathematics/wxmaxima/wxmaxima-20.12.2.ebuild
new file mode 100644
index 00000000000..a76a6aeeb04
--- /dev/null
+++ b/sci-mathematics/wxmaxima/wxmaxima-20.12.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+WX_GTK_VER="3.0-gtk3"
+PLOCALES="ca cs da de el en es fi fr gl hu it ja kab nb pl pt_BR ru tr uk 
zh_CN zh_TW"
+inherit cmake wxwidgets l10n xdg
+
+DESCRIPTION="Graphical frontend to Maxima, using the wxWidgets toolkit"
+HOMEPAGE="https://wxmaxima-developers.github.io/wxmaxima/";
+SRC_URI="https://github.com/wxMaxima-developers/wxmaxima/archive/Version-${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+S="${WORKDIR}"/${PN}-Version-${PV}
+
+DEPEND="
+       dev-libs/libxml2:2
+       x11-libs/wxGTK:${WX_GTK_VER}"
+RDEPEND="${DEPEND}
+       media-fonts/jsmath
+       sci-visualization/gnuplot[wxwidgets]
+       sci-mathematics/maxima"
+
+src_prepare() {
+       setup-wxwidgets
+       cmake_src_prepare
+
+       sed -e "s|GPL.txt ||g" -e "s|share/doc/${PN}|share/doc/${PF}|g" -i 
CMakeLists.txt \
+               || die "sed CMakeLists.txt failed"
+       sed -e "s|share/doc/${PN}|share/doc/${PF}|g" -i info/CMakeLists.txt \
+               || die "sed info/CMakeLists.txt failed"
+
+       # locales
+       rm_po() {
+               rm locales/wxMaxima/${1}.po || die "rm ${1}.po failed"
+               rm -f locales/manual/${1}.po
+               rm -f info/${PN}.${1}.md
+               rm -f info/${PN}.${1}.html
+               sed -e "\\|/${1}/wxmaxima.1|d" -i data/CMakeLists.txt
+       }
+       l10n_find_plocales_changes locales/wxMaxima '' '.po'
+       l10n_for_each_disabled_locale_do rm_po
+}
+
+src_install() {
+       docompress -x /usr/share/doc/${PF}
+       cmake_src_install
+}

Reply via email to